[[上へ>../]]
*PukiWiki 1.3系から1.4への移行
**バックアップ
バックアップは非常に大切です。以下の作業を行う前に、*.phpやスキン、プラグイン、attach,backup,counter,diff,wikiディレクトリを含む全てのデータをバックアップしてください。(やり方はお任せします :) )

**書式の違いをコンバート
//-[[しろくろのへや:conv/書式コンバータ]]でconv.inc.phpをダウンロード
//-pluginディレクトリにconv.inc.phpをインストール
//-http://.../pukiwiki.php?plugin=convを実行
//-pluginディレクトリのconv.inc.phpを削除
-このページに添付されている&ref(convertpage.inc.php);をpluginディレクトリにコピー
-http://.../pukiwiki.php?plugin=convertpageを実行
-pluginディレクトリのconvertpage.inc.phpを削除
:【補足】|従来ユーザー定義だったcolor,sizeなどを[[インラインプラグイン>PukiWiki/1.4/InlinePlugin]]に変換はしません。但し、ユーザー定義のcolorやsizeを&~;の形式で定義していた場合は、そのままインラインプラグインで解釈されるようになりますので書き換えは不要です。
~ユーザー定義のcolorやsizeを&~;の形式とは異なる形で定義していた場合は、従来のユーザー定義をそのまま残しておけば書き換えは不要です。
~aname、counter、online、versionは[[インラインプラグイン>PukiWiki/1.4/InlinePlugin]]に移行しています。conv.inc.phpではこれらをコンバートしませんので、書き換えが必要です。
**1.4のインストール
-wikiディレクトリ以外のファイルをアップロード
:【補足】|1.4ではDOCTYPEがXHTML 1.1に移行しています。自作のスキンやプラグインを引き続き使用する場合は、XHTML 1.1の書式に書き換える必要があります。
~また、プラグインについては1.3系列のプラグインをそのまま使用できるとはかぎりません([[プラグイン/開発者向け>プラグイン/開発者向け#changes]]参照)。標準のプラグインは1.4に添付されたものをインストールしてください。
--現時点では、標準に添付されたプラグインであっても、警告メッセージが出たりするものもあります。
**wikiファイルのBracketを取り去る
-このページに添付されている&ref(stripbracket.inc.php);をpluginディレクトリにインストール
-http://.../pukiwiki.php?plugin=stripbracketを実行
-pluginディレクトリのstripbracket.inc.phpを削除
//**1.3のwikiデータを削除
//-1.4が正常に動作し、もう1.3に戻す必要がないと確証が得られたら、wikiディレクトリ内の*.bakファイルを削除する。
//-削除しなくても1.4の運用には影響がないので、確証が得られるまで残しておけばよい。
**コメント

#pcomment(,,,reply)
*&aname(utf8);EUC-JPからUTF-8への移行
ページが肥大化してきたので[[../UTF-8化]]に移動

トップ   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.4+ © 2001-2022 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.048 sec.

OSDN